Name:           python-cloudformation-cli-python-plugin
Version:        2.1.10
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python 3.6 and 3.7 language support for the CloudFormation CLI

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/aws-cloudformation/aws-cloudformation-rpdk-python-plugin/
Source:         %{pypi_source cloudformation-cli-python-plugin}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cloudformation-cli-python-plugin' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cloudformation-cli-python-plugin
Summary:        %{summary}

%description -n python3-cloudformation-cli-python-plugin %_description


%prep
%autosetup -p1 -n cloudformation-cli-python-plugin-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cloudformation-cli-python-plugin -f %{pyproject_files}


%changelog
%autochangelog